Bug 1238982 - High cpu usage in tcmalloc with ceph
Summary: High cpu usage in tcmalloc with ceph
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gperftools
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-03 08:01 UTC by Ruben Kerkhof
Modified: 2015-09-14 04:24 UTC (History)
1 user (show)

Fixed In Version: 2.4-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-14 04:24:50 UTC


Attachments (Terms of Use)

Description Ruben Kerkhof 2015-07-03 08:01:16 UTC
Description of problem:

I'm running the upstream Ceph packages which link against tcmalloc.
On my cluster, perf top shows a high amount of cpu spent in tcmalloc.

This can be alleviated by exporting TCMALLOC_MAX_TOTAL_THREAD_CACHE_BYTES, but this only works with newer versions of gperftools.

The upstream bug is at https://code.google.com/p/gperftools/issues/detail?id=585

More info about this in https://bugs.launchpad.net/ubuntu/+source/google-perftools/+bug/1439277 and http://t55978.file-systems-ceph-development.file-systemstalk.info/tcmalloc-issue-t55978.html

Can you please upgrade gperftools in epel7 to at least 2.1.90?

Version-Release number of selected component (if applicable):

gperftools-2.1-1.el7
ceph-9.0.1-0.el7.centos.x86_64

Comment 1 Fedora Update System 2015-08-24 16:52:00 UTC
gperftools-2.4-5.el7 has been submitted as an update to Fedora EPEL 7. https://bugzilla.redhat.com/show_bug.cgi?id=1238982

Comment 2 Fedora Update System 2015-08-25 04:21:01 UTC
gperftools-2.4-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gperftools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7767

Comment 3 Fedora Update System 2015-09-14 04:24:48 UTC
gperftools-2.4-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.